Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.access.jdbc
Class EJBQLDbPathTranslator

    java.lang.Object
      org.apache.cayenne.ejbql.EJBQLBaseVisitor
          org.apache.cayenne.access.jdbc.EJBQLDbPathTranslator

All Implemented Interfaces:
  EJBQLExpressionVisitor

    public abstract class EJBQLDbPathTranslator

extends EJBQLBaseVisitor

Field Summary
`protected DbEntity` | `currentEntity`
`protected String` | `idPath`
`protected String` | `joinMarker`
`protected String` | `lastAlias`

Fields inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor
`continueFlag`

Constructor Summary
`EJBQLDbPathTranslator(EJBQLTranslationContext context)`

Method Summary
`protected abstract void` | `appendMultiColumnPath(EJBQLMultiColumnOperand operand)`
`boolean` | `isUsingAliases()`
`protected void` | `processTerminatingAttribute(DbAttribute attribute)`
`void` | `setUsingAliases(boolean usingAliases)`
`boolean` | `visitDbPath(EJBQLExpression expression, int finishedChildIndex)`
`boolean` | `visitIdentificationVariable(EJBQLExpression expression)`
`boolean` | `visitIdentifier(EJBQLExpression expression)`

Methods inherited from class org.apache.cayenne.ejbql.EJBQLBaseVisitor
`visitAbs, visitAbstractSchemaName, visitAdd, visitAggregate, visitAll, visitAnd, visitAny, visitAscending, visitAverage, visitBetween, visitBooleanLiteral, visitClassName, visitConcat, visitConst, visitConstructor, visitConstructorParameter, visitConstructorParameters, visitCount, visitCurrentDate, visitCurrentTime, visitCurrentTimestamp, visitDecimalLiteral, visitDelete, visitDescending, visitDistinct, visitDivide, visitEquals, visitEscapeCharacter, visitExists, visitFrom, visitFromItem, visitGreaterOrEqual, visitGreaterThan, visitGroupBy, visitHaving, visitIn, visitInnerFetchJoin, visitInnerJoin, visitIntegerLiteral, visitIsEmpty, visitIsNull, visitLength, visitLessOrEqual, visitLessThan, visitLike, visitLocate, visitLower, visitMax, visitMemberOf, visitMin, visitMod, visitMultiply, visitNamedInputParameter, visitNegative, visitNot, visitNotEquals, visitOr, visitOrderBy, visitOrderByItem, visitOuterFetchJoin, visitOuterJoin, visitPath, visitPatternValue, visitPositionalInputParameter, visitSelect, visitSelectClause, visitSelectExpression, visitSelectExpressions, visitSize, visitSqrt, visitStringLiteral, visitSubselect, visitSubstring, visitSubtract, visitSum, visitTok, visitTrim, visitTrimBoth, visitTrimCharacter, visitTrimLeading, visitTrimTrailing, visitUpdate, visitUpdateField, visitUpdateItem, visitUpdateValue, visitUpper, visitWhere`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### currentEntity

    protected DbEntity currentEntity

### lastAlias

    protected String lastAlias

### idPath

    protected String idPath

### joinMarker

    protected String joinMarker

Constructor Detail

### EJBQLDbPathTranslator

    public EJBQLDbPathTranslator(EJBQLTranslationContext context)

Method Detail

### appendMultiColumnPath

    protected abstract void appendMultiColumnPath(EJBQLMultiColumnOperand operand)

### visitDbPath

    public boolean visitDbPath(EJBQLExpression expression,
                               int finishedChildIndex)

  Specified by:
    `visitDbPath` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitDbPath` in class `EJBQLBaseVisitor`

### visitIdentifier

    public boolean visitIdentifier(EJBQLExpression expression)

  Specified by:
    `visitIdentifier` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitIdentifier` in class `EJBQLBaseVisitor`

### visitIdentificationVariable

    public boolean visitIdentificationVariable(EJBQLExpression expression)

  Specified by:
    `visitIdentificationVariable` in interface `EJBQLExpressionVisitor`
  Overrides:
    `visitIdentificationVariable` in class `EJBQLBaseVisitor`

### processTerminatingAttribute

    protected void processTerminatingAttribute(DbAttribute attribute)

### isUsingAliases

    public boolean isUsingAliases()

### setUsingAliases

    public void setUsingAliases(boolean usingAliases)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Apache Cayenne. All Rights Reserved.